-- Mob Drops --
local drops = {
	["Aethis"] = 87649,
	["Ahone the Wanderer"] = 86588,
	["Ai-Li Skymirror"] = 86589,
	["Ai-Ran the Shifting Cloud"] = 86590,
	["Arness the Scale"] = 90723,
	["Blackhoof"] = 86565,
	["Bonobos"] = 86591,
	["Borginn Darkfist"] = 86570,
	["Dak the Breaker"] = 86567,
	["Eshelon"] = 87222,
	["Ferdinand"] = 87652,
	["Gaarn the Toxic"] = 90725,
	["Gar'lok"] = 86578,
	["Go-Kan"] = 90719,
	["Havak"] = 86573,
	["Ik-Ik the Nimble"] = 86593,
	["Jonn-Dar"] = 86572,
	["Kah'tir"] = 87218,
	["Kal'tik the Blight"] = 86579,
	["Kang the Soul Thief"] = 86571,
	["Karr the Darkener"] = 86564,
	["Korda Torros"] = 86566,
	["Kor'nas Nightsavage"] = 87642,
	["Krax'ik"] = 87646,
	["Krol the Blade"] = 86574,
	["Lith'ik the Stalker"] = 87221,
	["Lon the Bull"] = 87219,
	["Major Nanners"] = 86594,
	["Mister Ferocious"] = 87652,
	["Moldo One-Eye"] = 86586,
	["Morgrinn Crackfang"] = 87643,
	["Nalash Verdantis"] = 86563,
	["Nal'lak the Ripper"] = 86576,
	["Nasra Spothide"] = 86587,
	["Nessos the Oracle"] = 86584,
	["Norlaxx"] = 87220,
	["Norlaxx the Outcast"] = 86581,
	["Omnis Grinlok"] = 86585,
	["Qu'nas"] = 90717,
	["Ruun Ghostpaw"] = 90720,
	["Sahn Tidehunter"] = 86582,
	["Salyin Warscout"] = 86583,
	["Sarnak"] = 87650,
	["Scritch"] = 86592,
	["Sele'na"] = 86580,
	["Siltriss the Sharpener"] = 87223,
	["Ski'thik"] = 86577,
	["Spriggin"] = 90724,
	["Sulik'shor"] = 86569,
	["The Yowler"] = 87225,
	["Torik-Ethis"] = 90722,
	["Urgolax"] = 86575,
	["Urobi the Walker"] = 87651,
	["Yorik Sharpeye"] = 86568,
	["Yul Wildpaw"] = 87224,
	--5.4 Timeless Champion--
	["Archiereus of Flame"] = 86574,
	["Bufo"] = 104169,
	["Champion of the Black Flame"] = 104302,
	--["Chelon"] = 0000000,--
	["Cinderfall"] = 104299,
	["Cranegnasher"] = 104268,
	["Dread Ship Vazuvius"] = 104294,
	["Emerald Gander"] = 104287,
	["Evermaw"] = 104115,
	["Flintlord Gairan"] = 104329,
	--["Flintlord Gairan"] = 104298,--
	["Garnia"] = 104159,
	["Golganarr"] = 104262,
	--["Great Turtle Furyshell"] = 0000000,--
	["Gu'chi the Swarmbringer"] = 104291,
	--["Huolon"] = 104286,--
	["Huolon"] = 104269,
	["Ironfur Steelhorn"] = 89770,
	["Imperial Python"] = 104161,
	["Jakur of Ordon"] = 104331,
	["Karkanos"] = 104035,
	["Leafmender"] = 104156,
	["Monstrous Spineclaw"] = 104168,
	["Rattleskew"] = 104321,
	["Rock Moss"] = 104313,
	["Spelurk"] = 104320,
	["Spirit of Jadefire"] = 104258,
	["Tsavo'ka"] = 104268,
	["Urdur the Cauterizer"] = 104306,
	["Watcher Osu"] = 104305,
	["Zesqua"] = 104303,
	["Zhu-Gon the Sour"] = 104167,
	--5.4 Miscellaneous--
	["Cursed Hozen Swabby"] = 104038,
	--["Spectral Pirate"] = 0000000,--
	--["Stinkbraid"] = 0000000,--
	["Molten Guardian"] = 104328,
	["Nice Sprite"] = 104160,
	["Angry Sprite"] = 104160,
	["Scary Sprite"] = 104160,
	--["Whizzig"] = 103795,--
	["Whizzig"] = 103786,
	--["Whizzig"] = 103789,--
	--["Whizzig"] = 103797,--
	--["Whizzig"] = 104230,--
	--["Master Kukuru"] = 101538,
	--["Zarhym"] = 0000000,--
}

-- Start the magic
local GloriousDrops = CreateFrame("frame")
local GloriousVer = "0.4"
local ScanTip = CreateFrame("GameTooltip", "ScanTip", nil, "GameTooltipTemplate")
ScanTip:SetOwner(WorldFrame, "ANCHOR_NONE" )
local pdesc, tdesc = ""

DEFAULT_CHAT_FRAME:AddMessage("|cFFFF7F00Glorious Drops v"..GloriousVer.." Loaded")

function GloriousDrops:GET_ITEM_INFO_RECEIVED(event, addon)
	GDrops()
end

function GDrops()
	local unitName, unitInfo = GameTooltip:GetUnit()

	if drops[unitName] then
		GloriousDrops:RegisterEvent("GET_ITEM_INFO_RECEIVED")
		local name, t, quality, t, t, t, t, t, t, texture = GetItemInfo(drops[unitName])
		if not quality then
			return
		end
		GloriousDrops:UnregisterEvent("GET_ITEM_INFO_RECEIVED")
		local r, g, b, hex = GetItemQualityColor(quality)

		ScanTip:ClearLines()
		ScanTip:SetItemByID(drops[unitName])

		GameTooltip:AddLine("\nGlorious Drops\n", 1, 0.5, 0)
		GameTooltip:AddDoubleLine(name, "|T" .. texture .. ":22|t", r, g, b)

		for i=2,ScanTip:NumLines() do
			local myLeft=_G["ScanTipTextLeft"..i]
			local txtLeft=myLeft:GetText()
			local myRight=_G["ScanTipTextRight"..i]
			local txtRight=myRight:GetText()
			if (txtRight) then
				GameTooltip:AddDoubleLine(txtLeft, txtRight, 1, 1, 1, 1, 1, 1)
			else
				if string.find(txtLeft, "Use:", 1) then
					GameTooltip:AddLine(txtLeft, 0, 1, 0, true)
				elseif string.find(txtLeft, "Equip:", 1) then
					GameTooltip:AddLine(txtLeft, 0, 1, 0, true)
				elseif string.find(txtLeft, "<Right", 1) then
					GameTooltip:AddLine(txtLeft, 0, 1, 0, true)
				elseif string.find(txtLeft, '"', 1) then
					GameTooltip:AddLine(txtLeft, 1, 1, 0, true)
				else
					GameTooltip:AddLine(txtLeft, 1, 1, 1, true)
				end
			end
		end
	end
end

GameTooltip:HookScript("OnTooltipSetUnit", function(self, ...)
	GDrops()
end)